﻿
/*--------------header-style1-----------------*/
.header-style1{
    position: relative;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
}
.header-style1 .header-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
   
}
.header-style1 .header-logo{
    width: 300px;
    max-width: 100%;
    display: none;
    position: relative;
    vertical-align: middle;
}
.header-style1 .header-menu-box{
    width: 100%;
    display: inline-block;
    vertical-align: middle;
    font-size: 0;
    text-align: center;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    font-size: 0;
    background-color: #FFF;
    box-shadow: rgba(0,0,0,0.75)0px 0px 4px;
    box-sizing: border-box;
    position: relative;
    overflow: hidden;

}
.header-style1 .header-menu{
    position: relative;
}
.header-style1 .header-menu-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    
}
.header-style1 .header-menu-bg span{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    z-index: 2;
    background-image: url(../img/front/header-bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    box-sizing: border-box;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    padding:  0 35px;
    transition: all .5s ease;
}

.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}
.header-line-box{
    width: 100%;
    height: 8px;
    display: block;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    box-shadow: rgba(0,0,0,0.75)0px 0px 4px;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#f7b000+0,fff100+11,fff100+88,fff8a0+100 */
    background: #f7b000; /* Old browsers */
    background: -moz-linear-gradient(left, #f7b000 0%, #fff100 11%, #fff100 88%, #fff8a0 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, #f7b000 0%,#fff100 11%,#fff100 88%,#fff8a0 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, #f7b000 0%,#fff100 11%,#fff100 88%,#fff8a0 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f7b000', endColorstr='#fff8a0',GradientType=1 ); /* IE6-9 */
    position: relative;
    z-index: 3;
}
.header-menu-list-block{
    position: absolute;
}

/* -------------------------------------------------------------- */

.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title{
    font-size: 20px;
    position: relative;
    font-weight: bold;
    color: #cf000d;
    display: block;
    transform: skewX(-10deg);
    height: 86px;
    line-height: 86px;
    z-index: 2;
    transition: all .5s ease;
}
div.header-menu-title{
    cursor: context-menu;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}


.rwd-menu {
    display: none;
    width: 100%;
    height: 50px;
    line-height: 50px;
    margin: 0 auto;
    color: #cf000d;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    position: relative;
    box-shadow: rgba(0,0,0,0.75)0px 0px 4px;
    background-color: #FFF;
    box-sizing: border-box;
}

.rwd-menu:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 8px solid transparent;
    border-top: 8px solid #cf000d;
    border-left: 8px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 4px);
    right: 2%;
}

/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}

/*漢堡樣式2*/

.rwd-menu-style2> span:nth-child(4){
    display: none;
}
.rwd-menu-style2> span:nth-child(2){
    display: block;
    margin: 4px auto;
}
.rwd-menu-style2{
    width: 25px;
}
.rwd-menu-style2> span{
    transition: all 0.3s ease-in-out;
}
.rwd-menu-style2 .rwd-menu-bth-line,
.rwd-menu-style2 .rwd-menu-bth-line2{
    display: none;
}
.rwd-menu-style2.active{
    animation: smallbig 0.6s forwards;
}
.rwd-menu-style2.active> span:nth-child(1){
    -webkit-transform: translateY(7px) rotate(45deg);
    -ms-transform: translateY(7px) rotate(45deg);
    -o-transform: translateY(7px) rotate(45deg);
    transform: translateY(7px) rotate(45deg);
}
.rwd-menu-style2.active> span:nth-child(2){
    opacity: 0;
}
.rwd-menu-style2.active> span:nth-child(3){
    -webkit-transform: translateY(-5px) rotate(-45deg);
    -ms-transform: translateY(-5px) rotate(-45deg);
    -o-transform: translateY(-5px) rotate(-45deg);
    transform: translateY(-5px) rotate(-45deg);
}

.rwd-menu-style2.active> span:nth-child(1), 
.rwd-menu-style2.active> span:nth-child(2), 
.rwd-menu-style2.active> span:nth-child(3) {
    -webkit-transition-delay: 0.2s;
    -o-transition-delay: 0.2s;
    transition-delay: 0.2s;
}



@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}
/*--------------------hover---------------------*/
.header-menu> li:hover,
.header-menu> li.active{
    background-color: #cf000d;
}
.header-menu> li:hover a,
.header-menu> li.active a{
    color: #FFF;
}
/*--------------------------------------------*/
.main-title-icon,
.main-title{
    opacity: 0;
}
.main-title-box.active .main-title-icon{
    animation: fade .8s ease 0s 1 forwards;
}
.main-title-box.active .main-title{
    animation: fadeInUp .8s ease 0s 1 forwards;
}
/*------------------------------------------*/

@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 1000px;
        margin: 0 auto;
    
    }
    .header-style1 .header-menu> li{
        padding: 0 22.5px;
    }
    .header-style2 .header-menu ul{
        width: 100%;
    }
}

@media only screen and (max-width: 1000px){
    .main-title-icon,
    .main-title{
        opacity: 1;
    }
    .rwd-menu {
        display: block;
        position: relative;
    }
    .header-style1 .header-box{
        width:750px;
        position: relative;
    }
    .header-style1 .header-menu> li{
        width: 100%;
        display: block;
        padding: 0;
        box-shadow: rgba(0,0,0,0.5)0px 0px 1px;
    }
    .header-style1 .header-menu> li:last-child{
        border-bottom: 0;
    }
    .header-menu-title{
        font-size: 16px;
    }
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-style1 .header-menu-box{
        display: none;
        position: absolute;

    }
    .header-menu-title{
        height: inherit;
        line-height: inherit;
        display: block;
        padding: 10px;
        box-sizing: border-box;
    }
    .rwd-header-menu-sytle1 .header-menu{
        width: 100%;
        height: 100vh;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 3;
        display:         flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction:column;
        background-color: #f5f5f5;
        transition: none;
    }
   
    .rwd-header-menu-sytle1.header2 .header-menu{
        width: 100%;
    }
    
    .rwd-header-menu-sytle1 .header-menu> li{
        display: block;
        margin: 0;
        margin-bottom: 20px;
    }
    .rwd-header-menu-sytle1 .header-menu> li:last-child{
        margin-bottom: 0;
     }
    .rwd-header-menu-sytle2 .header-menu-box.active .header-menu{
        top: 0;
    }
    .rwd-header-menu-sytle2 .header-menu{
        width: 100%;
        height: 100vh;
        position: fixed;
        top: calc(-100% - 100px);
        left: 0;
        z-index: 3;
        display:         flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction:column;
        background-color: #f5f5f5;
        transition: all .5s ease;
    }

}

@media only screen and (max-width: 750px){
    .header-style1 .header-box{
        width: 550px;
    }
}

@media only screen and (max-width: 550px){
    .header-style1 .header-box{
        width: 95%;
    }
}